<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

$app = Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware): void {
        $middleware->web(append: [
            \AleshaCMS\Http\Middleware\SecurityHeaders::class,
            \AleshaCMS\Http\Middleware\InjectCmsSignature::class,
        ]);
        $middleware->alias([
            'can.access.admin' => \AleshaCMS\Http\Middleware\CanAccessAdmin::class,
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions): void {
        //
    })->create();

$app->useAppPath(dirname(__DIR__).'/aleshacms');

return $app;
